###--- >>> `cm.splinefun' <<<----- Interpolating spline subject to co-monotonic filtering

	## alias	 help(cm.splinefun)

##___ Examples ___:


# simple co-monotonic example

x<-c(0,0.2,0.4,3,3.5,4,5,6,7.2,8,10)
y<-c(0,0.1,0.3,0.6,0.3,0.2,0.1,0.099,0.099,0.094,0.01)
xx<-seq(0,10,length=100)
normal.spl<-splinefun(x,y)
plot(xx,normal.spl(xx),type="l",col=2,main="co-monotonic spline demonstration")
cm.spl<-cm.splinefun(x,y)
lines(xx,cm.spl(xx),col=3)
points(x,y)

# gradient limiting example

x<-0:9
y<-c(1,0,2,1,4,3,6,5,8,7)
normal.spl<-splinefun(x,y)
xx<-seq(0,9,length=100)
plot(xx,normal.spl(xx),type="l",col=2,main="gradient limited spline demonstration")
cm.spl<-cm.splinefun(x,y,gulim=3)
lines(xx,cm.spl(xx),col=3)
points(x,y)

## Keywords: 'models', 'smooth', 'regression'.


