###--- >>> `posum.stage' <<<----- Extract stage specific information from a fitted posum model

	## alias	 help(posum.stage)

##___ Examples ___:

data<-population.data(fam="p",adult=TRUE) #simulate data
b<-posum(data,fam="p")
r<-posum.stage(b,1,10,aggregate=TRUE)
old.pcdr<-pcdr;old.rec<-rec;old.sim.age.bound<-sim.age.bound
rec<-function(t) {50*exp(-0.5*(t-5)^2)}
pcdr<-function(a,t) {0.2231+a*0}
sim.age.bound<-function(stage,t) { (stage-1)+t*0}
data<-population.data(t=0:9,ns=9,sc=0,fam="n",adult=FALSE) #simulate data
b<-posum(data,fam="n")
r<-posum.stage(b,1,9,aggregate=TRUE)
pcdr<-old.pcdr;rec<-old.rec;sim.age.bound<-old.sim.age.bound

## Keywords: 'models', 'smooth', 'regression'.


