###--- >>> `age.max' <<<----- Upper age boundary function (posum)

	## alias	 help(age.max)

##___ Examples ___:

data<-population.data(fam="p",adult=TRUE) #simulate dataframe
amax<-age.max(data)   # get upper juvenile age boundary function
seq(min(data$t),max(data$t),length=100)->times
plot(times,amax(times),type="l",main="Demonstration of age.max (posum)")
data<-population.data(adult=FALSE) #simulate dataframe (no adults)
amax<-age.max(data)   # get upper juvenile age boundary function
plot(times,amax(times),type="l",main="Demonstration of age.max (posum)")

## Keywords: 'models', 'smooth', 'regression'.


